SNEK-BOARD-INSTALL(1)

NAME
snek-board-install - Install Snek to Snek Board

SYNOPSIS
snek-board-install [OPTION]... [COMMAND]

DESCRIPTION
snek-board-install installs the Snek programming language on a Snek Board which is an ATMEL SAMD21D based board designed to work with Lego Power Functions components. This requires a connection to the board through a SWD debug device.

OPTIONS

-elf <snek.elf>
    Specifies the elf file containing the snek executable to load to the board. The default is the currently installed version of Snek.

-boot <bootloader.bin>
    Specifies the bin file containing the boot loader for the board. The default is the boot loader provided with the installed version of Snek.

USAGE
Connect the snek-board to a STLinkv2 board, then run snek-board-install.

AUTHOR
Keith Packard